<div class="col-lg-12 animated fadeInRight list-payment-extra">
  <div class="input-group">
  </div>
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div>
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <div class="row">
              <div class="col-sm-12">
                <h3>
                  <strong>Driver Stats</strong>
                </h3>
              </div>
            </div>
            <div class="fm-row">
              <div class="row">
                <div class="col-sm-4">
                  <div id="multi">
                    <div class="chip-holder" *ngIf="driver.length>0">
                      <div *ngFor="let driver of driver;let i=index">
                        <span *ngIf="i<2" class="mul-option">{{driver.username}}<i aria-hidden="true"
                            (click)="removeMultiSelect(driver)">X</i></span>
                      </div>
                      <div *ngIf="driver.length>2">
                        <span class="mul-option">{{driver.length-2}}+</span>
                      </div>
                    </div>
                    <input matInput placeholder="Select Driver" [formControl]="queryFieldDriver"
                      (ngModelChange)="searchDriver($event)" [matAutocomplete]="Driver"
                      [ngClass]="{'radius':driver.length>0,'left':driver.length>0}" />
                    <mat-autocomplete #Driver="matAutocomplete" [displayWith]="displayFnModel">
                      <mat-option *ngFor="let driver of alldriverData" [value]="driver">
                        <div class="option-otr">
                          <div class="option_span">
                            {{ driver.username }}
                          </div>
                        </div>
                      </mat-option>
                    </mat-autocomplete>
                  </div>
                </div>
                <div class="col-sm-2">
                  <select [(ngModel)]="sortByColumn" name="sort_by" class="form-control" placeholder="Sort by column">
                    <option value="" hidden>Sort by column</option>
                    <option value="avg_ratings">Rating</option>
                    <option value="completed_trips">Trips completed</option>
                    <option value="acceptance_rate">Acceptance rate</option>
                  </select>
                </div>
                <div class="col-sm-2">
                  <select [(ngModel)]="sortOrder" name="sort_order" class="form-control" placeholder="Sort Order">
                    <option value="" hidden>Sort order</option>
                    <option [value]="1">Ascending</option>
                    <option [value]="-1">Descending</option>
                  </select>
                </div>
                <div class="col-sm-2">
                  <select [(ngModel)]="rating" name="sort_order" class="form-control" placeholder="Sort Order">
                    <option value="" hidden>Rating</option>
                    <option value="0">0</option>
                    <option value="1">1</option>
                    <option value="2">2</option>
                    <option value="3">3</option>
                    <option value="4">4</option>
                  </select>
                </div>
                <div class="col-sm-2" *ngIf="dtc">
                  <mat-select [(ngModel)]="companyIdFilter" placeholder="Company" (change)="changeCompany()"
                    class="form-control" multiple>
                    <mat-option [value]="'all'" (click)="selectAllCompany()">All</mat-option>
                    <mat-option (click)="companyManualSelect()" *ngFor="let company of companyData"
                      [value]="company._id">
                      {{company.company_name}}
                    </mat-option>
                  </mat-select>
                </div>
              </div>
            </div>
            <div class="fm-row row">
              <div class="col-sm-4">
              </div>
              <div class="col-sm-8 text-right">
                <ng-container>
                  <span matTooltip="CSV" [ngClass]="{'disabled2':searchLoader}">
                    <img src="assets/img/csv.png" (click)="createCsv()" alt="createCsv"/>
                  </span>
                </ng-container>
                <button (click)="getdriver()" [disabled]="searchLoader" class="btn btn-sm btn-primary blue">
                  <i aria-hidden="true" class="fa fa-search"></i> Search</button>
                <button class="btn btn-sm btn-primary green" (click)="getdriver()">
                  <i aria-hidden="true" class="fa fa-refresh"></i> Refresh </button>
                <button class="btn btn-sm btn-primary red" (click)="reset()">
                  <i aria-hidden="true" class="fa fa-eraser"></i> Reset filters </button>
              </div>
            </div>
            <div class="ibox-content">
              <div *ngIf="DriverLength>0">Total records :{{DriverLength}}</div>
              <div class="table-responsive custom-table">
                <table aria-describedby="Manage Company" class="table table-striped driver-listing table-bordered zoom">
                  <thead>
                    <tr>
                      <th scope="col">Driver ID/ Name/ Phone</th>
                      <th scope="col">Driver type</th>
                      <th scope="col">Real time Status</th>
                      <th scope="col">Status</th>
                      <th scope="col">Rating</th>
                      <th scope="col">Trips completed</th>
                      <th scope="col">Acceptance Rate</th>
                      <th scope="col">View</th>
                    </tr>
                  </thead>
                  <tbody>
                    <span *ngIf="searchLoader">
                      <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                    </span>
                    <tr *ngFor="let driver of DriverData; let i = index" [attr.data-index]="i">
                      <td [routerLink]="['../driver-details/'+driver._id]" class="driver-detail">
                        <div class="flex">
                          <div>
                            <img style="vertical-align:middle;" class="img-circle" aria-hidden
                              src="{{driver.profile_picture ? apiUrl + driver.profile_picture+imageext : 'assets/img/noimage.jpg'}}"
                              height="50" width="50" alt="profile img"/>
                          </div>
                          <div class="pl-10">
                            <strong>{{driver.username}}</strong><br />
                            {{driver?.formatted_phone_number}}<br />
                            {{driver?.company_name}}
                          </div>
                        </div>
                      </td>
                      <td>{{driver.is_temperory && driver.is_temperory=="1"?'Freelance driver':'Company driver'}}</td>
                      <td>
                        {{driver.device_location && driver.device_location.length>0?realTimeStatus(driver.device_location[0]):'Logged out'}}
                      </td>
                      <td>
                        {{driver.status}}
                      </td>
                      <td>
                        {{driver?.avg_ratings.$numberDecimal}}
                      </td>
                      <td>
                        {{driver.completed_trips}}
                      </td>
                      <td>
                        {{driver.acceptance_rate?driver.acceptance_rate.$numberDecimal:''}}
                      </td>
                      <td>
                        <button class="btn blue" (click)="getDriverShiftStats(driver._id,driver.username)">Shift
                          Details</button>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
              <br>
              <div class="container-fluid" *ngIf="DriverLength > 0">
                <div class="row col-md-12 text-center">
                  <div class="dataTables_info1">
                    <div>
                      <ngb-pagination [collectionSize]="DriverLength" (pageChange)="pagingAgent($event)" [(page)]="pNo"
                        [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                      </ngb-pagination>
                    </div>
                  </div>
                </div>
              </div>
              <div class="container-fluid" *ngIf="DriverLength==0">
                <div class="row">
                  <div class="dataTables_info1">
                    <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                      No records found.
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>